package com.hotent.baseInfo.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonProperty;
/**
 * 监审文书文件内容表
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-10-14
 */
@ApiModel(value="CostDocumentTemplateFile对象", description="监审文书文件内容表")
public class  CostDocumentTemplateFile extends BaseModel<CostDocumentTemplateFile> {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    @JsonProperty("id")
    private Long id;
    
    @ApiModelProperty(value = "名称")
    @TableField("original_text")
    @JsonProperty("originalText")
    private String originalText;
    
    @ApiModelProperty(value = "拼音")
    @TableField("pinyin")
    @JsonProperty("pinyin")
    private String pinyin;
    

    
    @ApiModelProperty(value = "文书id")
    @TableField("document_id")
    @JsonProperty("documentId")
    private String documentId;
    
    @ApiModelProperty(value = "标签")
    @TableField("label_value")
    @JsonProperty("labelValue")
    private String labelValue;
    
    @ApiModelProperty(value = "表名")
    @TableField("table_name")
    @JsonProperty("tableName")
    private String tableName;
    
    @ApiModelProperty(value = "列名")
    @TableField("col_name")
    @JsonProperty("colName")
    private String colName;

    @ApiModelProperty(value = "查询条件")
    @TableField("where_name")
    @JsonProperty("whereName")
    private String whereName;

    @ApiModelProperty(value = "条件")
    @TableField("where_value")
    @JsonProperty("whereValue")
    private String whereValue;


    @ApiModelProperty(value = "启用状态：1启用 0停用")
    @TableField("status")
    @JsonProperty("status")
    private String status;
    
    @ApiModelProperty(value = "逻辑删除：0正常 1已删除")
    @TableField("is_deleted")
    @JsonProperty("isDeleted")
    private String isDeleted;
    
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @JsonProperty("createTime")
    private LocalDateTime createTime;
    
    @ApiModelProperty(value = "创建人")

   @TableField(value = "create_by", fill = FieldFill.INSERT)
    @JsonProperty("createBy")
    private String createBy;
    
    @ApiModelProperty(value = "更新时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    @JsonProperty("updateTime")
    private LocalDateTime updateTime;
    
    @ApiModelProperty(value = "更新人")
    @TableField(value = "update_by", fill = FieldFill.INSERT_UPDATE)
    @JsonProperty("updateBy")
    private String updateBy;
    
    @ApiModelProperty(value = "备注")
    @TableField("remark")
    @JsonProperty("remark")
    private String remark;

    @ApiModelProperty(value = "数据值")
    @TableField(exist = false)
    private String dataValue;

    public String getWhereValue() {
        return whereValue;
    }

    public void setWhereValue(String whereValue) {
        this.whereValue = whereValue;
    }

    public String getDataValue() {
        return dataValue;
    }

    public void setDataValue(String dataValue) {
        this.dataValue = dataValue;
    }

    public String getWhereName() {
        return whereName;
    }

    public void setWhereName(String whereName) {
        this.whereName = whereName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getOriginalText() {
        return originalText;
    }

    public void setOriginalText(String originalText) {
        this.originalText = originalText;
    }
    public String getPinyin() {
        return pinyin;
    }

    public void setPinyin(String pinyin) {
        this.pinyin = pinyin;
    }

    public String getDocumentId() {
        return documentId;
    }

    public void setDocumentId(String documentId) {
        this.documentId = documentId;
    }
    public String getLabelValue() {
        return labelValue;
    }

    public void setLabelValue(String labelValue) {
        this.labelValue = labelValue;
    }
    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }
    public String getColName() {
        return colName;
    }

    public void setColName(String colName) {
        this.colName = colName;
    }
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }
    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "CostDocumentTemplateFile{" +
            "id=" + id +
            ", originalText=" + originalText +
            ", pinyin=" + pinyin +
            ", documentId=" + documentId +
            ", labelValue=" + labelValue +
            ", tableName=" + tableName +
            ", colName=" + colName +
            ", whereName=" + whereName +
            ", whereValue=" + whereValue +
            ", status=" + status +
            ", isDeleted=" + isDeleted +
            ", createTime=" + createTime +
            ", createBy=" + createBy +
            ", updateTime=" + updateTime +
            ", updateBy=" + updateBy +
            ", remark=" + remark +
        "}";
    }
}
